Index: filo/main/grub/builtins.c
===================================================================
--- filo.orig/main/grub/builtins.c
+++ filo/main/grub/builtins.c
@@ -304,7 +304,6 @@ static int configfile_func(char *arg, in
 	extern int is_opened, keep_cmdline_running;
 
 	/* Check if the file ARG is present.  */
-	temp_space[0]=0;
 	copy_path_to_filo_bootline(arg, temp_space, 1);
 	if (temp_space[0]==0) {
 		return help_func("configfile",0);
@@ -317,7 +316,6 @@ static int configfile_func(char *arg, in
 	file_close();
 
 	/* Copy ARG to CONFIG_FILE.  */
-	memset(config_file, 0, 128);
 	copy_path_to_filo_bootline(arg, config_file, 1);
 
 	/* Force to load the configuration file.  */
@@ -666,6 +664,8 @@ void copy_path_to_filo_bootline(char *ar
 	int i, len;
 
 
+	path[0] = 0;
+
 	/* Clean up */
 	memset(devicename, 0, 16);
 	memset(drivername, 0, 16);
@@ -758,7 +758,6 @@ void copy_path_to_filo_bootline(char *ar
 /* initrd */
 static int initrd_func(char *arg, int flags)
 {
-	initrd_space[0]=0; // Erase string
 	copy_path_to_filo_bootline(arg, initrd_space, 1);
 	if (!file_open(initrd_space)) {
 		initrd_space[0]=0; // Erase string
@@ -897,11 +896,7 @@ static int kernel_func(char *arg, int fl
 
 	kernel_type = KERNEL_TYPE_NONE;
 
-	/* clear out boot_line. Kernel is the first thing */
-	boot_line[0] = 0;  // Erase string
-
 	/* Get the real boot line and extract the kernel name */
-	temp_space[0] = 0; // Erase string
 	copy_path_to_filo_bootline(arg, temp_space, 1);
 	i=0; while ((temp_space[i] != 0) && (temp_space[i]!=' ')) i++;
 	temp_space[i] = 0;
@@ -1339,7 +1334,6 @@ static int root_func(char *arg, int flag
 {
 	int len;
 
-	root_device[0] = 0; /* Clear root device */
 	copy_path_to_filo_bootline(arg, root_device, 0);
 
 	/* The following code handles an extra case
@@ -1810,7 +1804,6 @@ static int cat_func(char *arg, int flags
 	char buf[4096];
 	int len;
 
-	temp_space[0]=0;
 	copy_path_to_filo_bootline(arg, temp_space, 1);
 	if (temp_space[0]==0) {
 		return help_func("cat",0);
Index: filo/main/grub/grub.c
===================================================================
--- filo.orig/main/grub/grub.c
+++ filo/main/grub/grub.c
@@ -159,7 +159,6 @@ int probe_menulst(char *bootdevice, char
 	strncat(menulst, filename, 256);
 
 	/* Set string to zero: */
-	config_file[0] = 0;
 	copy_path_to_filo_bootline(menulst, config_file, use_root);
 	if (file_open(config_file)) {
 		/* We found a config file. Bail out */
